Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPaymentAux.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPaymentAux.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPaymentAux.cs	(revision 484)
@@ -35,15 +35,10 @@
     {
         #region フォームロード時の処理
         /// <summary>
-        /// 初期ロード時フラグ
-        /// </summary>
-        private bool m_bInitLoad = false;
-        /// <summary>
         /// フォームロード時の処理
         /// </summary>
         private void InitFormLoad()
         {
-            m_bInitLoad = true;
             try
             {
                 // 対象月コンボBOX設定
@@ -99,7 +94,6 @@
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            m_bInitLoad = false;
         }
         #endregion
 
@@ -244,7 +238,7 @@
                             case (int)DispColumn.DepositAmount:
                                 // ------ 入金金額（税抜）
                                 depositDetail.DepositAmount = amount;
-                                // 消費税額計算(値引き分も消費税対象とする)
+                                // 消費税額計算
                                 depositDetail.TaxAmount = CommonMotions.cnvRound(depositDetail.DepositAmount * dParcent);
                                 depositDetail.TaxAmount += CommonMotions.cnvRound(depositDetail.DiscountAmount * dParcent);
                                 break;
@@ -257,15 +251,12 @@
                                 // 入金金額（税抜）
                                 // 消費税額計算(入金金額（税込）-入金金額（税抜）)
                                 depositDetail.TaxAmount = CommonMotions.cnvRound((amount / (dParcent + 1.0)) * dParcent);
-                                depositDetail.DepositAmount = amount - (depositDetail.TaxAmount + depositDetail.DiscountAmount);
-                                depositDetail.DiscountAmount = amount - (depositDetail.TaxAmount + depositDetail.DepositAmount);
+                                depositDetail.DepositAmount = amount - depositDetail.TaxAmount;
+                                //depositDetail.DiscountAmount = amount - (depositDetail.TaxAmount + depositDetail.DepositAmount);
                                 break;
                             case (int)DispColumn.DiscountAmount:
                                 // ----- 値引金額
                                 depositDetail.DiscountAmount = amount;
-                                // 消費税額計算(値引き分も消費税対象とする)
-                                depositDetail.TaxAmount = CommonMotions.cnvRound(depositDetail.DepositAmount * dParcent);
-                                depositDetail.TaxAmount += CommonMotions.cnvRound(depositDetail.DiscountAmount * dParcent);
                                 break;
                             case (int)DispColumn.DetailCnstrPrice:                                  // 協力金
                                 // ----- 協力金
@@ -1245,8 +1236,9 @@
                                                             && x.OrderersCode == OrderCode
                                                             && x.DepositDetails[0].DepositMonth == DepositMonth
                                                             && x.DepositDetails[0].SeqNo == SeqNo)
-                                                .Sum(y => y.DepositDetails[0].TaxAmount - (CommonMotions.cnvRound((double)(y.DepositDetails[0].DiscountAmount)
-                                                                                            * (CommonMotions.AdaptationConsumptionTax(nParaDate) / 100.0))));
+                                                .Sum(y => y.DepositDetails[0].TaxAmount);
+                //.Sum(y => y.DepositDetails[0].TaxAmount - (CommonMotions.cnvRound((double)(y.DepositDetails[0].DiscountAmount)
+                //                                            * (CommonMotions.AdaptationConsumptionTax(nParaDate) / 100.0))));
 
                 // 消費税金額を加算
                 wrkPayTotal += wrkPayTotalTax;
@@ -1910,6 +1902,7 @@
                 sql.Append("   , NULL AS BILLINGSPLITFLG ");
                 sql.Append("   , NULL AS PERSONNAME ");
                 sql.Append("   , NULL AS DEPARTMENTCODE ");
+                sql.Append("   , O.JapaneseSyllabary As JAPANESESYLLABARY");
                 sql.Append("  FROM ");
                 sql.Append("   REQUESTHEAD AS H ");
                 sql.Append("  INNER JOIN ORDERERSMASTER AS O ");
@@ -1974,6 +1967,7 @@
                 sql.Append("   , CBI.BILLINGSPLITFLG ");
                 sql.Append("   , ifnull(PICM2.SEALPRINTNAME,PICM.SEALPRINTNAME) AS PERSONNAME ");
                 sql.Append("   , PICM.DEPARTMENTCODE ");
+                sql.Append("   , O.JapaneseSyllabary As JAPANESESYLLABARY");
                 sql.Append("  FROM ");
                 sql.Append("   REQUESTHEAD AS H");
 
@@ -2018,7 +2012,8 @@
                 sql.Append(" ) ");
 
                 sql.Append(" ORDER BY ");
-                sql.Append("  ORDERERSDIVISION ");
+                sql.Append("  JAPANESESYLLABARY");
+                sql.Append("  , ORDERERSDIVISION ");
                 sql.Append("  , ORDERERSCODE ");
                 sql.Append("  , KB ");
                 sql.Append("  , REQCONSTRUCTIONNAME");
@@ -2182,8 +2177,10 @@
                 int nSelYM = CommonMotions.cnvInt(cbTargetMonth.SelectedValue);
 
                 // 過去データの消込金額を入金金額より減算して消費税計算による公差の誤差以上を対象とする
-                stringBuilder.Append("Select A.*, B.SumVal");
-                stringBuilder.Append("    From DepositData As A");
+                stringBuilder.Append("Select");
+                stringBuilder.AppendFormat(" {0}", IODepositData.CreateFieldNameList("A."));
+                stringBuilder.Append(", B.SumVal");
+                stringBuilder.Append(" From DepositData As A");
 
                 stringBuilder.Append(" Left Join(Select SUM(BB.DEPOSITAMOUNT");
                 stringBuilder.Append("                    + BB.TAXAMOUNT");
@@ -2195,10 +2192,10 @@
                 stringBuilder.Append("           From depositdatadetail As BB");
                 stringBuilder.AppendFormat("     Where BB.TARGETDATE != {0}", nSelYM);
                 stringBuilder.Append("           Group by BB.ORDERERSDIVISION, BB.ORDERERSCODE, BB.DEPOSITMONTH, BB.SEQNO) As B");
-                stringBuilder.Append(" ON B.ORDERERSDIVISION = A.ORDERERSDIVISION");
-                stringBuilder.Append(" And B.ORDERERSCODE = A.ORDERERSCODE");
-                stringBuilder.Append(" And B.DEPOSITMONTH = A.TARGETDATE");
-                stringBuilder.Append(" And B.SEQNO = A.SEQNO");
+                stringBuilder.Append("     ON B.ORDERERSDIVISION = A.ORDERERSDIVISION");
+                stringBuilder.Append("     And B.ORDERERSCODE = A.ORDERERSCODE");
+                stringBuilder.Append("     And B.DEPOSITMONTH = A.TARGETDATE");
+                stringBuilder.Append("     And B.SEQNO = A.SEQNO");
 
                 // 残額があるもの
                 stringBuilder.Append(" Where ((A.REMAININGCLEARING < -1 Or 1 < A.REMAININGCLEARING)");
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/SalesGraphData/FrmSalesGraphData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/SalesGraphData/FrmSalesGraphData.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/SalesGraphData/FrmSalesGraphData.cs	(revision 484)
@@ -625,16 +625,16 @@
                         switch (i)
                         {
                             case (int)DispColumn.Value1:
-                                agdWork.SalesAmount = CommonMotions.cnvInt(wrkStr);
+                                agdWork.SalesAmount = CommonMotions.cnvLong(wrkStr);
                                 break;
                             case (int)DispColumn.Value2:
-                                agdWork.AdministrativeExpense = CommonMotions.cnvInt(wrkStr);
+                                agdWork.AdministrativeExpense = CommonMotions.cnvLong(wrkStr);
                                 break;
                             case (int)DispColumn.Value3:
-                                agdWork.GrossProfit = CommonMotions.cnvInt(wrkStr);
+                                agdWork.GrossProfit = CommonMotions.cnvLong(wrkStr);
                                 break;
                             case (int)DispColumn.Value4:
-                                agdWork.NetIncome = CommonMotions.cnvInt(wrkStr);
+                                agdWork.NetIncome = CommonMotions.cnvLong(wrkStr);
                                 break;
                         }
                     }
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/SubConstrRegist/FrmSubConstrRegistAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/SubConstrRegist/FrmSubConstrRegistAuxiliary.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/SubConstrRegist/FrmSubConstrRegistAuxiliary.cs	(revision 484)
@@ -741,7 +741,12 @@
             {
                 // 協力会社マスタ取得
                 ArrayList crList = new ArrayList();
-                string strSQL = "SELECT A.*, B.PERSONNAME, C.DEPARTMENTSTRING, C.DEPARTMENTCODE FROM SUBCONSTRREGIST A";
+                string strSQL = "SELECT";
+                strSQL += string.Format("{0}", IOSubConstrRegist.CreateFieldNameList("A."));
+                strSQL += ", B.PERSONNAME";
+                strSQL += ", C.DEPARTMENTSTRING";
+                strSQL += ", C.DEPARTMENTCODE";
+                strSQL += " FROM SUBCONSTRREGIST A";
                 strSQL += " LEFT JOIN PERSONINCHARGEMASTER B ON B.PERSONCODE = A.PERSONCODE";
                 strSQL += " LEFT JOIN DEPARTMENTMASTER C ON C.DEPARTMENTCODE = B.DEPARTMENTCODE";
                 strSQL += string.Format(" WHERE A.PersonCode = {0}", m_PersonCode);
@@ -854,7 +859,11 @@
                 int ItemCnt = 0;
                 if (bDefault)
                 {
-                    ItemSQL = "SELECT A.*, B.ITEMNAME FROM SUBCONSTRJOBITEMREGIST A, SUBCONTRACTORITEMMASTER B";
+                    ItemSQL = "SELECT";
+                    ItemSQL += string.Format(" {0}", IOSubConstrJobItemRegist.CreateFieldNameList("A."));
+                    ItemSQL += ", B.ITEMNAME";
+                    ItemSQL += " FROM SUBCONSTRJOBITEMREGIST A";
+                    ItemSQL += "    , SUBCONTRACTORITEMMASTER B";
                     ItemSQL += jobItemDB.CreatePrimarykeyString(PersonCode, CreateDate, SeqNo, 0, "A");
 
                     CodeCnt = (int)IOSubConstrJobItemRegist.TableColumn.ItemCode;
@@ -862,7 +871,11 @@
                 }
                 else
                 {
-                    ItemSQL = "SELECT A.*, B.ITEMNAME FROM SUBCONTRACTORJOBITEM A, SUBCONTRACTORITEMMASTER B";
+                    ItemSQL = "SELECT";
+                    ItemSQL += string.Format(" {0}", IOMSubContractorJobItem.CreateFieldNameList("A."));
+                    ItemSQL += ", B.ITEMNAME";
+                    ItemSQL += " FROM SUBCONTRACTORJOBITEM A";
+                    ItemSQL += "    , SUBCONTRACTORITEMMASTER B";
                     ItemSQL += string.Format(" WHERE A.COMPANYCODE = {0}", PersonCode);
 
                     CodeCnt = (int)IOMSubContractorJobItem.NameColumn.ItemCode;
@@ -908,7 +921,11 @@
                 int JobCnt = 0;
                 if (bDefault)
                 {
-                    jobSQL = "SELECT A.*, B.JOBCATEGORYNAME FROM SUBCONSTRJOBLINKREGIST A, SUBCONTRACTORJOBCATEGORY B";
+                    jobSQL = "SELECT";
+                    jobSQL += string.Format(" {0}", IOSubConstrJobLinkRegist.CreateFieldNameList("A."));
+                    jobSQL += ", B.JOBCATEGORYNAME";
+                    jobSQL += " FROM SUBCONSTRJOBLINKREGIST A";
+                    jobSQL += "    , SUBCONTRACTORJOBCATEGORY B";
                     jobSQL += jobLinkDB.CreatePrimarykeyString(PersonCode, CreateDate, SeqNo, 0, "A");
 
                     CodeCnt = (int)IOSubConstrJobLinkRegist.TableColumn.JobCategoryCode;
@@ -916,7 +933,11 @@
                 }
                 else
                 {
-                    jobSQL = "SELECT A.*, B.JOBCATEGORYNAME FROM SUBCONTRACTORJOBLINK A, SUBCONTRACTORJOBCATEGORY B";
+                    jobSQL = "SELECT";
+                    jobSQL += string.Format(" {0}", IOMSubContractorJobLink.CreateFieldNameList("A."));
+                    jobSQL += ", B.JOBCATEGORYNAME";
+                    jobSQL += " FROM SUBCONTRACTORJOBLINK A";
+                    jobSQL += "    , SUBCONTRACTORJOBCATEGORY B";
                     jobSQL += string.Format(" WHERE A.COMPANYCODE = {0}", PersonCode);
 
                     CodeCnt = (int)IOMSubContractorJobLink.NameColumn.JobCategoryCode;
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCosts.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCosts.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCosts.cs	(revision 484)
@@ -178,27 +178,6 @@
         private static string[] s_DataTypeString = new string[] { "交通費", "購入品費", "車両リース代", "駐車場・資材置き場代", "宿泊費", "処分費" };
         #endregion
 
-        #region 支払方法種別
-        /// <summary>
-        /// 支払方法種別
-        /// </summary>
-        private enum PaymentType
-        {
-            /// <summary>
-            /// 個人クレジット
-            /// </summary>
-            PersonalCredit = 0,
-            /// <summary>
-            /// 現金
-            /// </summary>
-            Cash,
-            /// <summary>
-            /// 法人クレジット
-            /// </summary>
-            CorporateCredit,
-        }
-        #endregion
-
         #region 支払方法種別名
         /// <summary>
         /// 支払方法種別名
@@ -862,8 +841,8 @@
                 {
                     case (int)DispGridColumn.PaymentButton1:
                         // 個人クレジット
-                        dgvRow.Cells[nPaymentTypeCnt].Value = (int)PaymentType.PersonalCredit;
-                        dgvRow.Cells[nPaymentTypeNameCnt].Value = s_PaymentTypeString[(int)PaymentType.PersonalCredit];
+                        dgvRow.Cells[nPaymentTypeCnt].Value = (int)CostDataOfPerson.PaymentTypeDef.PersonalCredit;
+                        dgvRow.Cells[nPaymentTypeNameCnt].Value = s_PaymentTypeString[(int)CostDataOfPerson.PaymentTypeDef.PersonalCredit];
 
                         // 支払いタイプ選択処理
                         SetPayType(dgv, e.ColumnIndex);
@@ -870,8 +849,8 @@
                         break;
                     case (int)DispGridColumn.PaymentButton2:
                         // 現金
-                        dgvRow.Cells[nPaymentTypeCnt].Value = (int)PaymentType.Cash;
-                        dgvRow.Cells[nPaymentTypeNameCnt].Value = s_PaymentTypeString[(int)PaymentType.Cash];
+                        dgvRow.Cells[nPaymentTypeCnt].Value = (int)CostDataOfPerson.PaymentTypeDef.Cash;
+                        dgvRow.Cells[nPaymentTypeNameCnt].Value = s_PaymentTypeString[(int)CostDataOfPerson.PaymentTypeDef.Cash];
 
                         // 支払いタイプ選択処理
                         SetPayType(dgv, e.ColumnIndex);
@@ -878,8 +857,8 @@
                         break;
                     case (int)DispGridColumn.PaymentButton3:
                         // 法人クレジット
-                        dgvRow.Cells[nPaymentTypeCnt].Value = (int)PaymentType.CorporateCredit;
-                        dgvRow.Cells[nPaymentTypeNameCnt].Value = s_PaymentTypeString[(int)PaymentType.CorporateCredit];
+                        dgvRow.Cells[nPaymentTypeCnt].Value = (int)CostDataOfPerson.PaymentTypeDef.CorporateCredit;
+                        dgvRow.Cells[nPaymentTypeNameCnt].Value = s_PaymentTypeString[(int)CostDataOfPerson.PaymentTypeDef.CorporateCredit];
 
                         // 支払いタイプ選択処理
                         SetPayType(dgv, e.ColumnIndex);
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs	(revision 484)
@@ -831,7 +831,7 @@
                 // グリッドクリア
                 dgv.Rows.Clear();
                 // 合計クリア
-                for (int i = (int)PaymentType.PersonalCredit; i <= (int)PaymentType.CorporateCredit; i++)
+                for (int i = (int)CostDataOfPerson.PaymentTypeDef.PersonalCredit; i <= (int)CostDataOfPerson.PaymentTypeDef.CorporateCredit; i++)
                 {
                     m_label_TabTotal[TargetTab, i].Text = "0";
                 }
@@ -1589,23 +1589,23 @@
                     int DataType = CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.PaymentType].Value);
                     switch (DataType)
                     {
-                        case (int)PaymentType.PersonalCredit:
+                        case (int)CostDataOfPerson.PaymentTypeDef.PersonalCredit:
                             // 個人クレジット
                             Total1 += CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.EntryPrice].Value);
                             break;
-                        case (int)PaymentType.Cash:
+                        case (int)CostDataOfPerson.PaymentTypeDef.Cash:
                             // 現金
                             Total2 += CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.EntryPrice].Value);
                             break;
-                        case (int)PaymentType.CorporateCredit:
+                        case (int)CostDataOfPerson.PaymentTypeDef.CorporateCredit:
                             /// 法人クレジット
                             Total3 += CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.EntryPrice].Value);
                             break;
                     }
                 }
-                m_label_TabTotal[CurTabCnt, (int)PaymentType.PersonalCredit].Text = Total1.ToString("#,0");
-                m_label_TabTotal[CurTabCnt, (int)PaymentType.Cash].Text = Total2.ToString("#,0");
-                m_label_TabTotal[CurTabCnt, (int)PaymentType.CorporateCredit].Text = Total3.ToString("#,0");
+                m_label_TabTotal[CurTabCnt, (int)CostDataOfPerson.PaymentTypeDef.PersonalCredit].Text = Total1.ToString("#,0");
+                m_label_TabTotal[CurTabCnt, (int)CostDataOfPerson.PaymentTypeDef.Cash].Text = Total2.ToString("#,0");
+                m_label_TabTotal[CurTabCnt, (int)CostDataOfPerson.PaymentTypeDef.CorporateCredit].Text = Total3.ToString("#,0");
             }
             catch (Exception ex)
             {
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/ComponentLink/FrmComponentLink.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/ComponentLink/FrmComponentLink.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/ComponentLink/FrmComponentLink.cs	(revision 484)
@@ -779,7 +779,9 @@
                 // 作業名称取得クラス領域
                 // 作業名称取得SQL
                 StringBuilder strSql = new StringBuilder();
-                strSql.Append("SELECT * From componentmaster As A");
+                strSql.Append("SELECT");
+                strSql.AppendFormat(" {0}, B.*", IOMComponent.CreateFieldNameList("A."));
+                strSql.Append(" From componentmaster As A");
                 strSql.Append(" Left Join(Select");
                 strSql.Append("            BB.ComponentCode");
                 strSql.Append("          , Count(*) As LinkCount");
